Options +FollowSymLinks
RewriteEngine on
DirectoryIndex index.php index.htm index.php index.html

<IfModule mod_rewrite.c>
  RewriteCond %{REQUEST_FILENAME} !-d
  RewriteCond %{REQUEST_FILENAME} !-f
  RewriteRule ^([a-zA-Z0-9_-]+)/?([a-zA-Z0-9_-]+)?$ mods/$1/$2.php?id=$3&p1=$1&p2=$2
  RewriteRule ^([a-zA-Z0-9_-]+)/?([a-zA-Z0-9_-]+)/?([a-zA-Z0-9_-]+)?$ mods/$1/$2.php?id=$3&p1=$1&p2=$2
  RewriteRule ^([a-zA-Z0-9_-]+)/?$ mods/$1/$2.php?id=$3&p1=$1
</IfModule>
